Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.command
Interface CommandNumerics

    public interface CommandNumerics

The command numerics. This will associate a Java command numeric with an integer. Also, the parameters and responses for each command are defined. For channel based commands, all parameters and responses are open-ended strings (UTF-8).

Note that every command will end with an attribute(name) SystemNamespace.COMMAND_REASON valued as SystemNamespace.COMMAND_REASON_DONE.

Any response can be interrupted with an attribute(name) SystemNamespace.COMMAND_REASON valued as SystemNamespace.COMMAND_REASON_EXCEPTION. It does not necessarily mean all the response data is bad.

This hasn't really been implemented.

Version:
  1.0

  Version History

      EPG - Initial - 30 MAR 06

Author:
  Erich P. Gatejen

Field Summary
`static int` | `NUMERIC_COMMAND_NOP` No operations.
`static int` | `NUMERIC_PROCESS_LIST` Get the process list.
`static int` | `NUMERIC_PROCESS_STATE` Get state of a named process.
`static java.lang.String` | `PROCESS_STATE_1_ID`

Field Detail

### NUMERIC_COMMAND_NOP

    static final int NUMERIC_COMMAND_NOP

  No operations.

  There are no parameters.

  See Also:
    Constant Field Values

### NUMERIC_PROCESS_LIST

    static final int NUMERIC_PROCESS_LIST

  Get the process list.

       There are no parameters.
       RESPONSE SEQUENCE:

       1- (REQUIRED, ONLY ONE)       - SystemNamespace.COMMAND_REASON_HEADER, (header strings)*

       2- (OPTIONAL, ZERO OR MORE)   - SystemNamespace.COMMAND_REASON_ENTRY, INTEGER.number, (column strings)*

       3- COMMAND_REASON_DONE

  See Also:
    Constant Field Values

### NUMERIC_PROCESS_STATE

    static final int NUMERIC_PROCESS_STATE

  Get state of a named process.

       PARAMEMTERS (name/value):

       1- (REQUIRED, ONLY ONE)       - PROCESS_STATE_1_ID: Textual id for the process.

       1- (REQUIRED, ONLY ONE)       - SystemNamespace.COMMAND_REASON_HEADER, (header strings)*

       2- (OPTIONAL, ZERO OR MORE)   - SystemNamespace.COMMAND_REASON_ENTRY, INTEGER.number, (column strings)*

  See Also:
    Constant Field Values

### PROCESS_STATE_1_ID

    static final java.lang.String PROCESS_STATE_1_ID

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.